POST
/boardsCreate a board
Create a new feedback board
Request body
| Field | Type | Description |
|---|---|---|
namerequired | string | Board name |
slug | string | URL-friendly slug (auto-generated from name if omitted) |
description | string | Board description |
isPublic | boolean | Whether board is public |
Response
Board created
| Field | Type | Description |
|---|---|---|
idrequired | string | TypeID - a type-prefixed UUID |
namerequired | string | |
slugrequired | string | URL-friendly identifier |
descriptionrequired | string | null | |
isPublicrequired | boolean | |
createdAtrequired | string | ISO 8601 timestamp |
updatedAtrequired | string | ISO 8601 timestamp |
Errors
400Validation error401UnauthorizedExample request
curl \
-X POST \
"https://feedback.quackback.io/api/v1/boards" \
-H "Authorization: Bearer qb_your_api_key_here" \
-H "Content-Type: application/json" \
-d '{
"name": "Feature Requests",
"slug": "feature-requests",
"description": "example_description",
"isPublic": false
}'